<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_SeatingMap StructType
 * @subpackage Structs
 */
class JP_SeatingMap extends AbstractStructBase
{
    /**
     * The SeatEquipments
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_SeatEquipment
     */
    public $SeatEquipments;
    /**
     * The SeatGroups
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_SeatGroup
     */
    public $SeatGroups;
    /**
     * Constructor method for JP_SeatingMap
     * @uses JP_SeatingMap::setSeatEquipments()
     * @uses JP_SeatingMap::setSeatGroups()
     * @param \ArrayType\ArrayOfJP_SeatEquipment $seatEquipments
     * @param \ArrayType\ArrayOfJP_SeatGroup $seatGroups
     */
    public function __construct(\ArrayType\ArrayOfJP_SeatEquipment $seatEquipments = null, \ArrayType\ArrayOfJP_SeatGroup $seatGroups = null)
    {
        $this
            ->setSeatEquipments($seatEquipments)
            ->setSeatGroups($seatGroups);
    }
    /**
     * Get SeatEquipments value
     * @return \ArrayType\ArrayOfJP_SeatEquipment|null
     */
    public function getSeatEquipments()
    {
        return $this->SeatEquipments;
    }
    /**
     * Set SeatEquipments value
     * @param \ArrayType\ArrayOfJP_SeatEquipment $seatEquipments
     * @return \StructType\JP_SeatingMap
     */
    public function setSeatEquipments(\ArrayType\ArrayOfJP_SeatEquipment $seatEquipments = null)
    {
        $this->SeatEquipments = $seatEquipments;
        return $this;
    }
    /**
     * Get SeatGroups value
     * @return \ArrayType\ArrayOfJP_SeatGroup|null
     */
    public function getSeatGroups()
    {
        return $this->SeatGroups;
    }
    /**
     * Set SeatGroups value
     * @param \ArrayType\ArrayOfJP_SeatGroup $seatGroups
     * @return \StructType\JP_SeatingMap
     */
    public function setSeatGroups(\ArrayType\ArrayOfJP_SeatGroup $seatGroups = null)
    {
        $this->SeatGroups = $seatGroups;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_SeatingMap
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
